summaryrefslogtreecommitdiffstats
path: root/desktop/xfce4-mount-plugin/xfce4-mount-plugin.SlackBuild
diff options
context:
space:
mode:
author Robby Workman2010-05-11 22:22:08 +0200
committer David Somero2010-05-11 22:22:08 +0200
commit6d9e6ccf22be9c0befcfd402c7ce746ab0699a22 (patch)
treeda74ff3ac75bc86a62bd5f4f33f5c77f6f5c4536 /desktop/xfce4-mount-plugin/xfce4-mount-plugin.SlackBuild
parent55468ea31958fc727f952ee77866bff3f72053b3 (diff)
downloadslackbuilds-6d9e6ccf22be9c0befcfd402c7ce746ab0699a22.tar.gz
desktop/xfce4-mount-plugin: Updated for version 0.5.5
Diffstat (limited to 'desktop/xfce4-mount-plugin/xfce4-mount-plugin.SlackBuild')
-rw-r--r--desktop/xfce4-mount-plugin/xfce4-mount-plugin.SlackBuild11
1 files changed, 7 insertions, 4 deletions
diff --git a/desktop/xfce4-mount-plugin/xfce4-mount-plugin.SlackBuild b/desktop/xfce4-mount-plugin/xfce4-mount-plugin.SlackBuild
index ab84553555..9c032caf42 100644
--- a/desktop/xfce4-mount-plugin/xfce4-mount-plugin.SlackBuild
+++ b/desktop/xfce4-mount-plugin/xfce4-mount-plugin.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for xfce4-mount-plugin
-# Copyright 2006-2007 Robby Workman (http://rlworkman.net)
+# Copyright 2006-2008 Robby Workman, Northport, Alabama, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=xfce4-mount-plugin
-VERSION=0.5.4
+VERSION=0.5.5
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -37,6 +37,8 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
set -e
@@ -61,13 +63,14 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--enable-shared=yes \
--enable-static=no \
- --enable-debug=no
+ --enable-debug=no \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)